<?php
require_once 'ApiGlobalFunctions.php';

$usuario=$_POST['uid'];
$password=$_POST['key'];
$url=$_POST['url'];
$producto=$_POST['productcode'];
$slot=$_POST['slotcode'];
$include=includec($url);
include $include;

$validate=loginkey($usuario,$password,$url);
if($validate==1){
	mysqli_set_charset($link, "utf8");
    $campo=diccionario($url,'codproduct');
    $MovAsset=diccionario($url,'MovAsset');     
	$query=mysqli_query($link, "SELECT  createdtime,movimientos_tks_tipo,movimientos_tks_producto,movimientos_tks_cantidad,paquetes_tks_noguiaodespacho,vtiger_purchaseorder.subject as OC,vtiger_salesorder.subject AS OS
                    FROM vtiger_movimientos
                    INNER JOIN vtiger_movimientoscf ON vtiger_movimientoscf.movimientosid=vtiger_movimientos.movimientosid
                    INNER JOIN vtiger_crmentity ON vtiger_crmentity.crmid=vtiger_movimientos.movimientosid
                    INNER JOIN vtiger_assets ON vtiger_assets.assetsid=vtiger_movimientos.".$MovAsset."                                        
                    LEFT JOIN vtiger_paquetes ON vtiger_paquetes.paquetesid=vtiger_movimientos.movimientos_tks_caja
                    LEFT JOIN vtiger_salesorder ON vtiger_salesorder.salesorderid=vtiger_movimientos.movimientos_tks_ordendesalida
                    LEFT JOIN vtiger_purchaseorder ON vtiger_purchaseorder.purchaseorderid=vtiger_movimientos.movimientos_tks_ordendecompra
                    INNER JOIN vtiger_slots ON vtiger_slots.slotsid=vtiger_movimientos.movimientos_tks_slot
                    WHERE deleted='0' AND slots_tks_codigo='$slot' AND serialnumber='$producto'");

    $num=mysqli_num_rows($query);            
	$z=0;                  
    while ($row = mysqli_fetch_array($query)) {           
        $fecha=$row['createdtime'];
        $fecha=explode(" ",$fecha);
        $fecha=$fecha[0];            
        $tipo=$row['movimientos_tks_tipo'];            
        $productname=$row['movimientos_tks_producto'];
        $cantidad=$row['movimientos_tks_cantidad'];
        $caja=$row['paquetes_tks_noguiaodespacho'];
        $OC=$row['OC'];
        $OS=$row['OS'];
        $docs[$z]=array('mvtFecha'=>$fecha,'Tipo'=>$tipo,'mvtPName'=>$productname,'mvtcant'=>$cantidad,'Caja'=>$caja,'NameOC'=>$OC,'NameOS'=>$OS);
        $z++;            
        }
     echo json_encode(setDataJSON($docs,1));
}
